# @ job_name = poisson
# @ job_type = BLUEGENE
# Fichier sortie standard du travail
# @ output = $(job_name).$(jobid)
# Fichier erreur standard du travail
# @ error = $(output)
# Temps elapsed maximum demande
# @ wall_clock_limit = 0:10:00
# Taille partition d'execution
# @ bg_size = 64
# @ queue

set -x

runjob --ranks-per-node 4 --np 256 : ./poisson

runjob --ranks-per-node 8 --np 512 : ./poisson

runjob --ranks-per-node 16 --np 1024 : ./poisson

runjob --ranks-per-node 32 --np 2048 : ./poisson

runjob --ranks-per-node 64 --np 4096 : ./poisson

