# @ job_name = mapping
# @ job_type = BLUEGENE
# Fichier sortie standard du travail
# @ output = $(job_name).$(jobid)
# Fichier erreur standard du travail
# @ error = $(output)
# Temps elapsed maximum demande
# @ wall_clock_limit = 0:10:00
# Taille partition d'execution
# @ bg_size = 64
# @ queue

set -x

runjob --ranks-per-node 1 --np 8 --mapping ex1-map1.map : ./map1

runjob --ranks-per-node 4 --np 8 --mapping ex1-map1bis.map : ./map1

runjob --ranks-per-node 4 --np 8 --mapping ex2-map1.map : ./map1

runjob --ranks-per-node 2 --np 16 --mapping ex2-map2.map : ./map2

